#include "InstallationSite.h"

namespace cosi {

namespace environment {

namespace onchipcommunication {

InstallationSite::InstallationSite() {

}

InstallationSite::~InstallationSite() {

}
Position InstallationSite::GetPosition() {
	return mP ;
}
void InstallationSite::SetPosition(Position pP) {
	mP = pP ;
}
double InstallationSite::GetX() {
	return mP.GetX() ;
}
double InstallationSite::GetY() {
	return mP.GetY() ;
}
void InstallationSite::SetX(double pX) {
	Position P(pX, GetY(), 0);
	mP = P ;
}
void InstallationSite::SetY(double pY) {
	Position P(GetX(), pY, 0);
	mP = P ;
}

int InstallationSite::GetSurfaceIndex(){
	return mA ;
}
void InstallationSite::SetSurfaceIndex(int pA){
	mA = pA ;
}

}

}

}
